Name:    kdialog
Summary: Nice dialog boxes from shell scripts
Version: 17.04.2
Release: 1%{?dist}

License: GPLv2+ and GFDL
URL:     https://www.kde.org/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(KF5KDELibs4Support)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5DBus)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: desktop-file-utils

# translations moved here
Conflicts: kde-l10n < 17.03

Requires: hicolor-icon-theme

%description
KDialog can be used to show nice dialog boxes from shell scripts.


%prep
%autosetup -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name}


%files -f %{name}.lang
%license COPYING*
%doc README 
%{_kf5_bindir}/kdialog
%{_kf5_bindir}/kdialog_progress_helper
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kdialog.ProgressDialog.xml


%changelog
* Thu Jun 15 2017 Rex Dieter <rdieter@fedoraproject.org> - 17.04.2-1
- 17.04.2

* Wed May 10 2017 Rex Dieter <rdieter@fedoraproject.org> - 17.04.1-1
- 17.04.1

* Tue Apr 18 2017 Rex Dieter <rdieter@fedoraproject.org> - 17.04.0-1
- 17.04.0

* Wed Mar 08 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.3-1
- 16.12.3

* Wed Feb 08 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.2-1
- 16.12.2

* Sat Jan 28 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.1-1
- import changelog, -Requires: kf5-filesystem 

* Fri Jan 20 2017 Christian Dersch <lupinix@mailbox.org> - 16.12.1-0.1
- initial packaging effort

